const string DEFAULT_WELCOME_TITLE = "Welcome to stillOS 10 (The Bloom)";
const string DEFAULT_WELCOME_DESCRIPTION = "Thanks for trying out the first release of stillOS :).\n" +
                                           "Quick Setup will help you get up and running in light speed!";
const string DEFAULT_WELCOME_ICON = "fedora-logo-icon-symbolic";

namespace QuickSetup {
    public class WelcomePage : QsPage {

        private Adw.StatusPage status_page;
        public override string page_id { get { return "welcome"; } }
        public override bool can_go_back_to { get { return true; } }

        public WelcomePage(PageContext context) {
            base(context, "Welcome");

            // Content
            this.status_page = new Adw.StatusPage();
            this.status_page.title = context.config.get_page_string(
                this.page_id, "custom_title", DEFAULT_WELCOME_TITLE
            );
            this.status_page.description = context.config.get_page_string(
                this.page_id, "custom_description", DEFAULT_WELCOME_DESCRIPTION
            );
            this.status_page.icon_name = context.config.get_page_string(
                this.page_id, "custom_icon", DEFAULT_WELCOME_ICON
            );
            this.status_page.vexpand = true;
            this.status_page.hexpand = true;
            this.status_page.valign = Gtk.Align.CENTER;
            this.status_page.halign = Gtk.Align.FILL;
            this.add_content(status_page);

            // Buttons
            var action_clamp = new Adw.Clamp();
            action_clamp.maximum_size = 720;
            action_clamp.tightening_threshold = 480;

            var button_bar = this.create_button_bar();
            var next_button = this.create_page_button("Get Started", true);
            button_bar.append(next_button);
            action_clamp.set_child(button_bar);
            this.status_page.set_child(action_clamp);
            next_button.clicked.connect(() => {
                print("Next button clicked");
                context.window.push_next_page();
            });
        }
    }
}